Package com.avaya.clientservices.media

## Class VoIPConfigurationVideo

- java.lang.Object
- - com.avaya.clientservices.media.VoIPConfigurationVideo

-     public class VoIPConfigurationVideo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VoIPConfigurationVideo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object input)` |
    `int` | `getAnyNetworkBandwidthLimitKbps()` |
    `java.lang.String` | `getBfcpMode()` | Deprecated.
    `BfcpTransportMode` | `getBfcpTransportMode()` |
    `int` | `getCellularNetworkBandwidthLimitKbps()` |
    `java.lang.String` | `getCongestionControlAlgorithm()` | Deprecated.
    `CongestionControlAlgorithm` | `getCongestionControlAlgorithmMode()` |
    `DSCPPrecedenceConfiguration` | `getDSCPPrecedenceConfiguration()` |
    `int` | `getDscpVideo()` |
    `int` | `getFirstVideoPingInterval()` |
    `java.lang.String` | `getForwardErrorCorrection()` | Deprecated.
    `ForwardErrorCorrection` | `getForwardErrorCorrectionMode()` |
    `boolean` | `getH264HighProfileEnabled()` |
    `Layer2PriorityMarking` | `getLayer2Marking()` |
    `int` | `getMaxPortRange()` |
    `java.lang.String` | `getMaxVideoResolution()` | Deprecated.
    `MaxVideoResolution` | `getMaxVideoResolutionMode()` |
    `int` | `getMinPortRange()` |
    `int` | `getPeriodicVideoPingInterval()` |
    `boolean` | `getRetransmissionEnabled()` |
    `VideoCodecVendor` | `getVideoCodecVendor()` |
    `boolean` | `isAutomaticDscpConfigurationEnabled()` | Set the automatic dscp configuration mode.
    `boolean` | `isCpuAdaptiveVideoEnabled()` |
    `boolean` | `isEnabled()` |
    `boolean` | `isMultipleVideoStreamSupport()` |
    `void` | `setAnyNetworkBandwidthLimitKbps​(int anyNetworkBandwidthLimit)` |
    `void` | `setAutomaticDscpConfigurationEnabled​(boolean enabled)` | Set the automatic dscp configuration mode.
    `void` | `setBfcpMode​(BfcpTransportMode bfcpMode)` |
    `void` | `setCellularNetworkBandwidthLimitKbps​(int cellularBandwidthLimit)` |
    `void` | `setCongestionControlAlgorithm​(CongestionControlAlgorithm congestionControlAlgorithm)` |
    `void` | `setCpuAdaptiveVideoEnabled​(boolean cpuAdaptiveVideoEnabled)` |
    `void` | `setDSCPPrecedenceConfiguration​(DSCPPrecedenceConfiguration dscpConfig)` |
    `void` | `setDscpVideo​(int dscpVideo)` |
    `void` | `setEnabled​(boolean enabled)` |
    `void` | `setEnableMultipleVideoStreamSupport​(boolean enable)` |
    `void` | `setFirstVideoPingInterval​(int firstVideoPingInterval)` |
    `void` | `setForwardErrorCorrection​(ForwardErrorCorrection fec)` |
    `void` | `setH264HighProfileEnabled​(boolean enabled)` |
    `void` | `setLayer2Marking​(Layer2PriorityMarking priority)` |
    `void` | `setMaxPortRange​(int maxPortRange)` |
    `void` | `setMaxVideoResolution​(MaxVideoResolution maxVideoResolution)` |
    `void` | `setMinPortRange​(int minPortRange)` |
    `void` | `setPeriodicVideoPingInterval​(int periodicVideoPingInterval)` |
    `void` | `setRetransmissionEnabled​(boolean enabled)` |
    `void` | `setVideoCodecVendor​(VideoCodecVendor vendor)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoIPConfigurationVideo

          public VoIPConfigurationVideo()

  - ### Method Detail

    - #### setEnabled

          public void setEnabled​(boolean enabled)

    - #### isEnabled

          public boolean isEnabled()

    - #### setCpuAdaptiveVideoEnabled

          public void setCpuAdaptiveVideoEnabled​(boolean cpuAdaptiveVideoEnabled)

    - #### isCpuAdaptiveVideoEnabled

          public boolean isCpuAdaptiveVideoEnabled()

    - #### setDscpVideo

          public void setDscpVideo​(int dscpVideo)

    - #### getDscpVideo

          public int getDscpVideo()

    - #### setAutomaticDscpConfigurationEnabled

          public void setAutomaticDscpConfigurationEnabled​(boolean enabled)

      Set the automatic dscp configuration mode. In the automatic mode the best available source for the DSCP value will be used. It can be default value, PPM value, etc.
      Parameters:
        `enabled` - enable or disable

    - #### isAutomaticDscpConfigurationEnabled

          public boolean isAutomaticDscpConfigurationEnabled()

      Set the automatic dscp configuration mode. The state can be changed via the `setAutomaticDscpConfigurationEnabled` method.
      Returns:
        enabled or disabled

    - #### setFirstVideoPingInterval

          public void setFirstVideoPingInterval​(int firstVideoPingInterval)

    - #### getFirstVideoPingInterval

          public int getFirstVideoPingInterval()

    - #### setPeriodicVideoPingInterval

          public void setPeriodicVideoPingInterval​(int periodicVideoPingInterval)

    - #### getPeriodicVideoPingInterval

          public int getPeriodicVideoPingInterval()

    - #### setMinPortRange

          public void setMinPortRange​(int minPortRange)

    - #### getMinPortRange

          public int getMinPortRange()

    - #### setMaxPortRange

          public void setMaxPortRange​(int maxPortRange)

    - #### getMaxPortRange

          public int getMaxPortRange()

    - #### setAnyNetworkBandwidthLimitKbps

          public void setAnyNetworkBandwidthLimitKbps​(int anyNetworkBandwidthLimit)

    - #### getAnyNetworkBandwidthLimitKbps

          public int getAnyNetworkBandwidthLimitKbps()

    - #### setCellularNetworkBandwidthLimitKbps

          public void setCellularNetworkBandwidthLimitKbps​(int cellularBandwidthLimit)

    - #### getCellularNetworkBandwidthLimitKbps

          public int getCellularNetworkBandwidthLimitKbps()

    - #### setEnableMultipleVideoStreamSupport

          public void setEnableMultipleVideoStreamSupport​(boolean enable)

    - #### isMultipleVideoStreamSupport

          public boolean isMultipleVideoStreamSupport()

    - #### setBfcpMode

          public void setBfcpMode​(BfcpTransportMode bfcpMode)

    - #### getBfcpTransportMode

          public BfcpTransportMode getBfcpTransportMode()

    - #### getBfcpMode

          @Deprecated
          public java.lang.String getBfcpMode()

      Deprecated.

    - #### setCongestionControlAlgorithm

          public void setCongestionControlAlgorithm​(CongestionControlAlgorithm congestionControlAlgorithm)

    - #### getCongestionControlAlgorithmMode

          public CongestionControlAlgorithm getCongestionControlAlgorithmMode()

    - #### getCongestionControlAlgorithm

          @Deprecated
          public java.lang.String getCongestionControlAlgorithm()

      Deprecated.

    - #### setMaxVideoResolution

          public void setMaxVideoResolution​(MaxVideoResolution maxVideoResolution)

    - #### getMaxVideoResolutionMode

          public MaxVideoResolution getMaxVideoResolutionMode()

    - #### getMaxVideoResolution

          @Deprecated
          public java.lang.String getMaxVideoResolution()

      Deprecated.

    - #### setVideoCodecVendor

          public void setVideoCodecVendor​(VideoCodecVendor vendor)

    - #### getVideoCodecVendor

          public VideoCodecVendor getVideoCodecVendor()

    - #### setForwardErrorCorrection

          public void setForwardErrorCorrection​(ForwardErrorCorrection fec)

    - #### getForwardErrorCorrectionMode

          public ForwardErrorCorrection getForwardErrorCorrectionMode()

    - #### getForwardErrorCorrection

          @Deprecated
          public java.lang.String getForwardErrorCorrection()

      Deprecated.

    - #### setDSCPPrecedenceConfiguration

          public void setDSCPPrecedenceConfiguration​(DSCPPrecedenceConfiguration dscpConfig)

    - #### getDSCPPrecedenceConfiguration

          public DSCPPrecedenceConfiguration getDSCPPrecedenceConfiguration()

    - #### setRetransmissionEnabled

          public void setRetransmissionEnabled​(boolean enabled)

    - #### getRetransmissionEnabled

          public boolean getRetransmissionEnabled()

    - #### setH264HighProfileEnabled

          public void setH264HighProfileEnabled​(boolean enabled)

    - #### getH264HighProfileEnabled

          public boolean getH264HighProfileEnabled()

    - #### setLayer2Marking

          public void setLayer2Marking​(Layer2PriorityMarking priority)

    - #### getLayer2Marking

          public Layer2PriorityMarking getLayer2Marking()

    - #### equals

          public boolean equals​(java.lang.Object input)

      Overrides:
        `equals` in class `java.lang.Object`